/*******************************************************************************
 * schedsim.h
 * This file is part of "Assignment 1: Scheduling Simulator"
 * Copyright (C) 2009 - c506001 (email: c506001@cse.hcmut.edu.vn )
 *
 * Content: 
 * --------
 *
 * System and Networking Department
 * Faculty of Computer Science and Engineering
 * Ho Chi Minh City University of Technology
 ******************************************************************************/
 
#ifndef _SCHEDSIM_H_
#define _SCHEDSIM_H_

#include "sched_man.h"

#define FALSE 0
#define TRUE 1

typedef int bool;

/**
 * Struct name: Options
 * Description:
 *     Manage all options user puts on the command line
 **/
struct Options {
  int activeSchedId;        // ID of current active scheduler
  char inFile[32];          // input file
  char outFile[32];         // output file
};

#endif
